Summary:	pthread library helper
Summary(pl.UTF-8):	Pakiet pomocniczy biblioteki pthread
Name:		libpthread-stubs
Version:	0.3
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	e8fa31b42e13f87e8f5a7a2b731db7ee
URL:		http://xcb.freedesktop.org/
Obsoletes:	libpthread-stubs-devel < 0.3
Obsoletes:	libpthread-stubs-static < 0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides weak aliases for pthread functions not provided
in libc or otherwise available by default. Libraries like libxcb rely
on pthread stubs to use pthreads optionally, becoming thread-safe when
linked to libpthread, while avoiding any performance hit when running
single-threaded. libpthread-stubs supports this behavior even on
platforms which do not supply all the necessary pthread stubs. On
platforms which already supply all the necessary pthread stubs, this
package ships only the pkg-config file pthread-stubs.pc, to allow
libraries to unconditionally express a dependency on pthread-stubs and
still obtain correct behavior.

%description -l pl.UTF-8
Ta biblioteka udostępnia słabe aliasy dla funkcji pthread nie
dostarczane domyślnie przez libc lub w inny sposób. Biblioteki takie
jak libxcb polegają na zaślepkach pthread, aby opcjonalnie używać
wątków pthread i zachowywać się bezpiecznie w przypadku zlinkowania z
libpthread, a unikać narzutu czasowego przy działaniu jednowątkowym.
libpthread-stubs obsługuje to zachowanie nawet na platformach nie
udostępniających wszystkich potrzebnych zaślepek pthread. Na
platformach udostępniających wszystkie potrzebne zaślepki pthread ten
pakiet dostarcza jedynie plik pkg-configa pthread-stubs.pc pozwalający
bibliotekom bezwarunkowo zawierać zależność od pthread-stubs i nadal
zachowywać się prawidłowo.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%{_pkgconfigdir}/pthread-stubs.pc
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpthread-stubs.git;a=log;h=master

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f0c695d
- release 2 (by relup.sh)

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 65c76f2
- 0.3
- not a library any more

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> a8f93d1
- added COPYING to doc
- fixed -devel descs
- more verbose files

* Wed Sep 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 620146f
- desc fix

* Wed Sep 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b2598f
- up to 0.2; now it's real lib not just pc file (note, direct linking to -lpthread isn't solution, see README)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 84865c8
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 73ff0b9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 103a45f
- converted to UTF-8

* Fri Nov 24 2006 Jakub Bogusz <qboosh@pld-linux.org> c8d9fb4
- pl
- Group changed to Development/Libraries as there is no runtime on Linux

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b01942
- new

